Gecode::Support::BlockClient< T, A, blocksize > Class Template Reference
Common functionality » Support algorithms and datastructures

Client for block allocator of type T. More...

`#include <block-allocator.hpp>`

## Static Public Member Functions

static void * | operator new (size_t s, BlockAllocator< T, A, blocksize > &ba)
| Allocate memory from block allocator ba.
static void | operator delete (void *, BlockAllocator< T, A, blocksize > &ba)
| Noop (memory freed only when block allocator deleted).
static void | operator delete (void *)
| Noop (memory freed only when block allocator deleted).

## Detailed Description

template<class T, class A, int blocksize = 512>
class Gecode::Support::BlockClient< T, A, blocksize >

Client for block allocator of type T.

Provides memory management for objects of type T.

Definition at line 84 of file block-allocator.hpp.

## Member Function Documentation

## operator new()

template<class T, class A, int blocksize>

void * Gecode::Support::BlockClient< T, A, blocksize >::operator new | ( | size_t | s,
|  | BlockAllocator< T, A, blocksize > & | ba )

inline static

Allocate memory from block allocator ba.

Definition at line 158 of file block-allocator.hpp.

## operator delete() [1/2]

template<class T, class A, int blocksize>

void Gecode::Support::BlockClient< T, A, blocksize >::operator delete | ( | void * | ,
|  | BlockAllocator< T, A, blocksize > & | ba )

inline static

Noop (memory freed only when block allocator deleted).

Definition at line 149 of file block-allocator.hpp.

## operator delete() [2/2]

template<class T, class A, int blocksize>

void Gecode::Support::BlockClient< T, A, blocksize >::operator delete | ( | void * |  | ) |

inline static

Noop (memory freed only when block allocator deleted).

Definition at line 154 of file block-allocator.hpp.

The documentation for this class was generated from the following file:

- gecode/support/block-allocator.hpp